<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
$gtot=0;
$gto2t=0;
$totales=0;
  
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
  


  
  function redondear_dos_decimal($valor) {

   $float_redondeado=round($valor * 100) / 100;

   return $float_redondeado;

} 
 function crearTabla($gen,$fecha1,$fecha2,$gt)
      {global $gtot;
	  global $gtot2;
	  global $totales;
     $toti=0;
       while (list($clave, $valor ) = each($gen))
          {
           $qc1 = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr='10' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";
           $cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr = mysqli_fetch_row($cc1);
           $val1=$rr[0];
           $toti+=$val1;
          
          }
	        $gtot+=$toti; 
			$gtot2=$toti*$gt;
			$totales+=$gtot2;
     

	  // echo"el total es $toti <br>Regalias generadas: $gtot2<br>";
	  return $gtot2;
	  }
  function calcula_directos($id_inv){
	 $q2 = "SELECT id_inver, sum(puntos) FROM inversionista join transacciones on (transacciones.inversionista_id_inver=inversionista.id_inver) join depositos on (depositos.transacciones_idtransacciones=transacciones.idtransacciones)  WHERE idprom=$id_inv and fechat between '2009-12-01' and '2009-12-31' group by id_inver";

  $c2 = mysqli_query($conexion, $q2) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
 if(mysqli_affected_rows($conexion)){

  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)

   {	  $a0=$r1[0];  $a1=$r1[1]; 
   $gent[]= array($a0, $a1);

	}
	return $gent;
	
  }else {return false;}
  }
  
  function calcula_regs($id_inv){
	    $bol1=true;
$bol2=true;
$bol3=true;
$bol4=true;
$bol5=true;
$bol6=true;
$bol7=true;
$bol8=true;
$cal1=false;
$cal2=false;
$cal3=false;
$cal4=false;
$arecibir=0;
$gt1=.1;
$gt2=.17;
$gt3=.01;
	global $fecha1;
	global $fecha2;
    
	$vtas = "SELECT sum(puntos), nombre, appat, apmat FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver WHERE tipostr_idtipostr='10' and inversionista_id_inver = \"$id_inv\" and fechat between \"$fecha1\" and \"$fecha2\"";

           $vtas1 = mysqli_query($conexion, $vtas) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr8 = mysqli_fetch_row($vtas1);
           $valin=$rr8[0]; $nnombre=$rr8[1]; $nappat=$rr8[2]; $napmat=$rr8[3];
 			

$q2 = "SELECT id_inver from inversionista WHERE idprom =  \"$id_inv\"";
$c2 = mysqli_query($conexion, $q2) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));

  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	
	   $gen1[]= array($r1[0]);
	};
	$copy_gen1=$gen1;

if(empty($copy_gen1)){$bol1=false;$bol2=false;$bol3=false;$bol4=false;$bol5=false;$bol6=false;$bol7=false;$bol8=false;}else{
	 while (list($clave, $valor ) = each($copy_gen1))
{

 $q1 = "SELECT id_inver FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c1 = mysqli_query($conexion, $q1) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
  while($r2 = mysqli_fetch_row($c1))
   {
	   $gen2[]=array ($r2[0]);
	} 
}
$copy_gen2=$gen2;

if(empty($copy_gen2)){$bol2=false;$bol3=false;$bol4=false;$bol5=false; $bol6=false;$bol7=false;$bol8=false;}else{
	  while (list($clave, $valor ) = each($copy_gen2))
{

 $q4 = "SELECT id_inver FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c4 = mysqli_query($conexion, $q4) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
  while($r2 = mysqli_fetch_row($c4))
 {
	   
	$gen3[]=array ($r2[0]);
	} 
}
$copy_gen3=$gen3; 

if(empty($copy_gen3)){$bol3=false;$bol4=false;$bol5=false;$bol6=false;$bol7=false;$bol8=false;}else{
	 while (list($clave, $valor ) = each($copy_gen3))
{

$q5 = "SELECT id_inver FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c5 = mysqli_query($conexion, $q5) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
  while($r2 = mysqli_fetch_row($c5))
   {
	  
	$gen4[]=array ($r2[0]);
	} 
}
$copy_gen4=$gen4; 

if(empty($copy_gen4)){$bol4=false;$bol5=false; $bol6=false;$bol7=false;$bol8=false;}

else{
	 while (list($clave, $valor ) = each($copy_gen4))
{

$q6 = "SELECT id_inver FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c6 = mysqli_query($conexion, $q6) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
  while($r2 = mysqli_fetch_row($c6))
   {
	 
	$gen5[]=array ($r2[0]);
	} 
}
$copy_gen5=$gen5; 

if(empty($copy_gen5)){$bol5=false; $bol6=false;$bol7=false;$bol8=false;}
else{
	 while (list($clave, $valor ) = each($copy_gen5))
{

$q7 = "SELECT id_inver FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c7 = mysqli_query($conexion, $q7) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
  while($r2 = mysqli_fetch_row($c7))
   {
	 
	$gen6[]=array ($r2[0]);
	} 
}
$copy_gen6=$gen6; 

if(empty($copy_gen6)){$bol6=false;$bol7=false;$bol8=false;}
else{
	 while (list($clave, $valor ) = each($copy_gen6))
{

$q8 = "SELECT id_inver FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c8 = mysqli_query($conexion, $q8) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
  while($r2 = mysqli_fetch_row($c8))
   {
	$gen7[]=array ($r2[0]);
	} 
}
$copy_gen7=$gen7; 

if(empty($copy_gen7)){$bol7=false;$bol8=false;}
else{
	 while (list($clave, $valor ) = each($copy_gen7))
{

$q9 = "SELECT id_inver FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c9 = mysqli_query($conexion, $q9) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
  while($r2 = mysqli_fetch_row($c9))
   {

	$gen8[]=array ($r2[0]);
	} 
}
$copy_gen8=$gen8; 

if(empty($copy_gen8)){$bol8=false;}

}//7

}//6
}//5

}//4

}//3

}//2

}//1



$copy_gen11=$gen1; 
if (isset($copy_gen11)){
       while (list($clave, $valor ) = each($copy_gen11))

          {

           $qc1 = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr='10' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";
$cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr = mysqli_fetch_row($cc1);
           $val1=$rr[0];
           if ($val1>=624){$conteo++;}
          }
}
  





if(1==1){








if($bol1==TRUE){

 $reggen1=crearTabla($gen1,$fecha1,$fecha2,$gt1);

}



if($bol2==TRUE){

 $reggen2=crearTabla($gen2,$fecha1,$fecha2,$gt2);

}

if($bol3==TRUE){



 $reggen3=crearTabla($gen3,$fecha1,$fecha2,$gt2);

}



if($bol4==TRUE){

 $reggen4=crearTabla($gen4,$fecha1,$fecha2,$gt2);

}
if($bol5==TRUE){

 $reggen5=crearTabla($gen5,$fecha1,$fecha2,$gt3);

}
if($bol6==TRUE){

 $reggen6=crearTabla($gen6,$fecha1,$fecha2,$gt3);

}
if($bol7==TRUE){

 $reggen7=crearTabla($gen7,$fecha1,$fecha2,$gt3);

}
if($bol8==TRUE){

 $reggen8=crearTabla($gen8,$fecha1,$fecha2,$gt3);

}

}
$eltotal=0;

echo"<tr><td>$id_inv</td><td>$nnombre $nappat $napmat</td><td>$valin</td><td>$conteo</td>

<td>";
$eltotal+=$reggen1;
   if($conteo>=1){echo"$reggen1"; $arecibir+=$reggen1;}else{echo"0";}

   echo"</td><td>";
$eltotal+=$reggen2;
   if($conteo>=2){echo"$reggen2"; $arecibir+=$reggen2;}else{echo"0";}

   echo" </td><td>";
$eltotal+=$reggen3;
   if($conteo>=3){echo"$reggen3"; $arecibir+=$reggen3;}else{echo"0";}

   echo" </td><td>";
$eltotal+=$reggen4;
   if($conteo>=4){echo"$reggen4"; $arecibir+=$reggen4;}else{echo"0";}
   
     echo" </td><td>";
$eltotal+=$reggen5;
   if($conteo>=5){echo"$reggen5"; $arecibir+=$reggen5;}else{echo"0";}
   
     echo" </td><td>";
$eltotal+=$reggen6;
   if($conteo>=16){echo"$reggen6"; $arecibir+=$reggen6;}else{echo"0";}
       echo" </td><td>";
$eltotal+=$reggen7;
   if($conteo>=16){echo"$reggen7"; $arecibir+=$reggen7;}else{echo"0";}
       echo" </td><td>";
$eltotal+=$reggen8;
   if($conteo>=16){echo"$reggen8"; $arecibir+=$reggen8;}else{echo"0";}

   echo" </td>

   ";







$liminf=0;
$fija=0;
$excedente=0;

 if($arecibir>=0){

  if($arecibir>=0 && $arecibir<=496.07){$liminf=0.01; $fija=0; $excedente=0.0192;	}

	if($arecibir>=496.08 && $arecibir<=4210.41){$liminf=496.08; $fija=9.52; $excedente=0.0640;	}

	if($arecibir>=4210.42 && $arecibir<=7399.42){$liminf=4210.42; $fija=247.23; $excedente=0.1088;	}

	if($arecibir>=7399.43 && $arecibir<=8601.5){$liminf=7399.43; $fija=594.24; $excedente=0.1600;	}

	if($arecibir>=8601.51 && $arecibir<=10298.35){$liminf=8601.51; $fija=786.55; $excedente=0.1792;	}

	if($arecibir>=10298.36 && $arecibir<=20770.29){$liminf=10298.36; $fija=1090.62; $excedente=0.1994;	}

	if($arecibir>=20770.3 && $arecibir<=32736.83){$liminf=20770.3; $fija=3178.3; $excedente=0.2195;	}

	if($arecibir>=32736.84 ){$liminf=32736.84; $fija=5805.2; $excedente=0.2800;	}

	

	$impuest=(($arecibir-$liminf)*$excedente)+$fija;

	$impuestos=redondear_dos_decimal($impuest);

	$pagar=$arecibir-$impuestos; }
echo"<td>$eltotal</td><td>$arecibir</td><td>$impuestos</td><td>$pagar</td>

  

  </tr>";
  }
  /*echo"<form name=\"Agrega\" action=\"altaregs.php\" method=\"post\">

<input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Agregar Regalias a Sistema\" />

	<input type=hidden name=idinver value=$id_inv />

		<input type=hidden name=elci value=$idcd />

		<input type=hidden name=primera value=$reggen1 />

		<input type=hidden name=segunda value=$reggen2 />

		<input type=hidden name=tercera value=$reggen3 />

		<input type=hidden name=cuarta value=$reggen4 />

		<input type=hidden name=calificados value=$conteo />

		<input type=hidden name=recibe value=$arecibir />

		<input type=hidden name=genero value=$eltotal />

<input type=hidden name=imp value=$impuestos />
<input type=hidden name=apagar value=$pagar />
	</form></center>"; 
	  
	  
  }//calcularegs*/
  echo"<center><table border=\"1\">
  <tr><th>ID</th><th>Nombre</th><th>Compras</th><th>Cal</th><th>1 gen</th><th>2 gen</th><th>3 gen</th><th>4 gen</th>
  <th>5 gen</th><th>6 gen</th><th>7 gen</th><th>8 gen</th><th>Generado</th><th>A recibir</th><th>Impuestos</th><th>A depositar</th></tr>
  
  
  ";

  $q2 = "SELECT id_inver, nombre, appat, apmat, sum(puntos) as compras, usuarios_ci_idusuarios_ci FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver WHERE fechat between \"$fecha1\" and \"$fecha2\" and transacciones.tipostr_idtipostr='10' group by id_inver";
  $c2 = mysqli_query($conexion, $q2) or die ('No se pudo hacer lo que quieres ok?' . mysqli_error($conexion));
  echo"<center>";
  
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	   $a5 = $r1[5];
	  
	   $tot+=$a4;
	   
	  if($a4>=624){
		  $calificados[]= array($a0);
	  }
	}
	
	$eltoto= count($calificados);

while (list($clave, $valor ) = each($calificados))
          {
			
         calcula_regs($valor[0]);
          }
		  
		  echo"el total es $eltoto ";


?>